using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VIZ.Framework.Core;

namespace VIZ.Framework.UnitTest
{
    /// <summary>
    /// GPIO测试
    /// </summary>
    [TestClass]
    public class GPIOTest
    {
        /// <summary>
        /// 初始化测试
        /// </summary>
        [TestMethod]
        public void InitTest()
        {
            try
            {
                List<USBDeviceInfo> list = GPIOManager.ScanDevice();

                GPIOModel model = new GPIOModel(list[0]);
                model.Open();


            }
            catch (Exception ex)
            {

                throw;
            }
        }
    }
}
